import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/curran/470752f12c027f8ff4266e7c96f26a56/raw/66908b56e371e7c9f5a1c0911ac3250f570a4c83/share-of-population-infected-with-hiv-ihme.csv';
//Entity,Code,Year,Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)
export const useData = () => {
  const [data, setData] = useState(null);
  
  const row = (d) => {
    d.aids = +d[
      'Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)'
    ];
    return d;
  };
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};

// Code: "AFG"
// Entity: "Afghanistan"
// Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%): "0.0065200175890799995"
// Year: "1990"
// aids: 0.0065200175890799995
// [[Prototype]]: Object